/*Copyright (C) 2020 Abashin Valerii Gennadievich <valeriy@abashin.ru>

This file is part of abashin.ru software.

Abashin.ru is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Abashin.ru is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Abashin.ru. If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef ABASHINRUANGEL_H
#define ABASHINRUANGEL_H

#include <stdio.h>
#include <string.h>
#include <strings.h>
#include <stdlib.h>
#include <time.h>
#include <unistd.h>

#define BUFFERSIZE 100
#define GLOBALBUFFSIZE 1000
#define KEYBOARDETALONFILENAME "/tmp/abashin.ru_keyboards_etalon"
#define MOUSEETALONFILENAME "/tmp/abashin.ru_mouses_etalon"
#define SAVEDATA "/.abashin.ru/save_data"
#define ETALONDATA "/.abashin.ru/etalon_data"
#define ETALON "/.abashin.ru/etalon"
#define ETALONDEFAULT "/.abashin.ru/etalon.default"
#define HUMANSTATUS "/.abashin.ru/human_status"
#define HUMANSTATUSLOG "/.abashin.ru/human_status_log"
#define PROGETALON "/usr/sbin/abashin.ru.etalon "
#define PROGHUMANSTATUS "/usr/sbin/abashin.ru.status "
#define PROGHUMANSTATUSREPORT "/usr/sbin/abashin.ru.report "
#define PROGSTATUSLOGSEND "/usr/sbin/abashin.ru.send "

void create_etalon(void);

void calculate_pfs(void);

void create_etalon_file(void);

void create_catalog(void);

void tic_tac_action();

void data_move(void);

#endif
