/*Copyright (C) 2020 Abashin Valerii Gennadievich <valeriy@abashin.ru>

This file is part of abashin.ru software.

Abashin.ru is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Abashin.ru is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Abashin.ru. If not, see <http://www.gnu.org/licenses/>.
*/

#include "AbashinRuEtalon.h"


int main (int argc, char * argv[]) {
	if (argc != 4) return 0;
	char * SAVEDATA = argv[1];
	char * ETALONDATA = argv[2];
	char * ETALON = argv[3];

	FILE * fr = fopen(SAVEDATA, "r");
	if (fr == NULL) return 1;

	char buffer [BUFFERSIZE] = {0};
	FILE * fw = fopen(ETALONDATA, "a");
	if (fr == NULL) return 2;

	int string_counter = 0;
	while(fgets(buffer,sizeof(char) * BUFFERSIZE,fr) != NULL) {
		fprintf(fw, "%s", buffer);
		string_counter++;
	}
	fclose(fr);
	fclose(fw);

	fw = fopen(SAVEDATA, "w");
	if (fw == NULL) return 3;
	fclose(fw);

	if (string_counter < 10000) return 0;

	fr = fopen(ETALON, "r");
	if (fr) {
		char * re = fgets(buffer, BUFFERSIZE, fr);
		fclose(fr);
		if (re != NULL)
			if (time(NULL) - atol((char *)&buffer) <
				3*2592000)
				return 0;
	}

	create_etalon(string_counter, ETALONDATA, ETALON);

	return 0;
}
